#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int n, j, s; vector<int> vn, va, vb;
    cin >> n;
    for (int i = 0; i < 2 * n; i++) {
        vn.push_back(i + 1);
    }
    if (n % 2 == 1) {
        j = 2 * n - 1;
        for (int i = 0; i < n; i += 2) {
            va.push_back(vn[i]);
            va.push_back(vn[j]);
            j -= 2;
        }
        j = 2 * n - 2;
        for (int i = 1; i < n; i += 2) {
            vb.push_back(vn[j]);
            vb.push_back(vn[i]);
            j -= 2;
            s = i;
        }
        s += 2;
        vb.push_back(vn[s]);
    }
    if (n % 2 == 1)
    {
        for (int i = 0; i < va.size() - 1; i++)
        {
            cout << va[i] << " ";
        }
        cout << '\n';
        for (int i = 0; i < vb.size(); i++)
        {
            cout << vb[i] << " ";
        }
    }
}